Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class PersistenceHelperPluginFactory

    java.lang.Object
      com.beasys.commerce.util.PersistenceHelperPluginFactory

Deprecated See BEA Commerce product offering

    @Deprecated
    public class PersistenceHelperPluginFactory

extends Object

Factory for PersistenceHelperPlugin instances. Implements a "Singleton" design pattern for PersistenceHelperPlugins, where a single instance of a plugin exists for each plugin class.

Constructor Summary
`PersistenceHelperPluginFactory()` Deprecated See BEA Commerce product offering

Method Summary
`static PersistenceHelperPlugin` | `createPlugin(String pluginClassName)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceHelperPluginFactory

    public PersistenceHelperPluginFactory()

  Deprecated See BEA Commerce product offering

Method Detail

### createPlugin

    public static PersistenceHelperPlugin createPlugin(String pluginClassName)
                                                throws ClassNotFoundException,
                                                       InstantiationException,
                                                       IllegalAccessException

  Deprecated See BEA Commerce product offering

  Returns a singleton instance of a PersistenceHelperPlugin denoted by the supplied class name. The method uses the design pattern that reduces contention and synchronization overhead.

  Parameters
    `pluginClassName` - The name of the `PersistenceHelperPlugin` implementation class.
  Throws
    `ClassCastException` - if the class denoted by the `pluginClassName` is not an instance of a `PersistenceHelperPlugin`.
    `ClassNotFoundException` - if the class denoted by the `pluginClassName` could not be found.
    `InstantiationException` - if the instantiation of an instance of the class denoted by the `pluginClassName` fails for some reason.
    `IllegalAccessException` - if the class or initializer denoted by the `pluginClassName` is not accessible.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved